﻿using Azure.Storage.Blobs.Models;
using DamageAssesment.Api.Attachments.Models;

namespace DamageAssesment.Api.Attachments.Interfaces
{
    public interface IAzureBlobService
    {
        Task<List<Azure.Response<BlobContentInfo>>> UploadFiles(List<IFormFile> files);
        Task<List<Attachment>> UploadAttachment(int responseId, int answerId, int counter, List<IFormFile> postedFile);
        Task<List<Attachment>> UploadAttachment(int responseId, int counter, List<AnswerInfo> answers);
        Task<List<Attachment>> UpdateAttachments(int responseId, List<AnswerInfo> answers, IEnumerable<Models.Attachment> attachments);
        void Deletefile(string path);
        void Movefile(string path);
    }
}
