using DamageAssesment.Api.DocuLinks.Db;
using DamageAssesment.Api.DocuLinks.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Net.Mail;
using System.Text;
using System.Threading.Tasks;

namespace DamageAssesment.Api.DocuLinks.Test
{
    public class LinkTypeMockData
    {

        public static async Task<(bool, List<DocuLinks.Models.ResLinkType>, string)> getOkResponse()
        {
            List<DocuLinks.Models.ResLinkType> list = new List<DocuLinks.Models.ResLinkType>();
            Dictionary<string, string> dictdesc = new Dictionary<string, string>();
            dictdesc.Add("en", "test"); dictdesc.Add("fr", "tester");
            for (int i = 1; i < 4; i++)
            {
                list.Add(new DocuLinks.Models.ResLinkType()
                {
                    Id = i,
                    titles= dictdesc,
                    CustomOrder=i,
                    IsActive = true
                });
            }
            return (true, list, null);
        }
        public static async Task<(bool, DocuLinks.Models.ResLinkType, string)> getOkResponse(int Id)
        {
            var DocuLinks = await getOkResponse();
            var Document = DocuLinks.Item2.FirstOrDefault(s => s.Id == Id);
            return (true, Document, null);
        }
        public static async Task<(bool, DocuLinks.Models.ResLinkType, string)> getBadRequestResponse()
        {
            return (false, null, "Bad Request");
        }

        public static async Task<(bool, DocuLinks.Models.ResLinkType, string)> getNotFoundResponse()
        {
            return (false, null, "Not Found");
        }
        public static async Task<(bool, IEnumerable<DocuLinks.Models.ResLinkType>, string)> getNoContentResponse()
        {
            IEnumerable<DocuLinks.Models.ResLinkType> list = new List<DocuLinks.Models.ResLinkType>();
            return (false, list, null);
        }

        public static async Task<DocuLinks.Models.LinkType> getInputLinkData(int id)
        {
            List<Models.LinksTranslation> DocuLinksTranslations = new List<Models.LinksTranslation>();
            DocuLinksTranslations.Add(new Models.LinksTranslation()
            {
                Language = "en",
                TypeText = "tel"
            });
            return new Models.LinkType
            {
                Id = id,
                linksTranslations = DocuLinksTranslations,
                CustomOrder=1,
                IsActive = true
            };
        }

    }
}
